Subject: RE: MPLS support of diffserv

From: Shahram Davari <[email-masked]>
Date: Fri, 22 Sep 2000 10:29:18 -0700

Hi,

Please see my comments  in line:

> -----Original Message-----
> From: Huang, Thomas [mailto:[email-masked]]
> Sent: Friday, September 22, 2000 1:01 PM
> To: Francois Le Faucheur
> Cc: [email-masked]'
> Subject: MPLS support of diffserv 
> 
> 
> Hello Francois:
> 
> I have read through your draft on the MPLS support of diffserv.
> 
> I have the following questions:
> 
> 1. any MPLS vendors have implemented the diffserv support per 
> this draft?
> and if so, what type of interoperability issues are out there?
> 
> 2. to support diffserv in a mpls domain, the draft calls for 
> extension of
> RSVP-TE by adding a diffserv object to pass the PHB mapping info.
> I have read some other proposals on extending RSVP for DiffServ
> specifically. Do you see a need to converge them? or are 
> there any efforts
> in that area. What's your view on your draft for being a 
> standard? or are
> you making additional changes and WG has input too?

I haven't seen any other proposal for extending RSVP-TE for Diffserv.
Therefore there is no effort in converging them. The WG has been working
on this draft for more than a year and we have included all the inputs.
This draft has passed the MPLS WG last call and is currently sent to IESG
to be published as a Proposed Standard. As far as I know IETF will not 
make any significant changes to a proposed standard unless there is a
serious
issue raised or the interoperability results show problems.

> 
> 3. it seems to me we are mixing diffserv and mpls. My 
> question is: is it
> better off we do an INTERWORKING at MPLS ingress and egress? 
> While inside
> MPLS, established LSP/tunnel provides the equivalence to PHB..
> I guess what I am trying to say is that we don't do PHB insider MPLS..
>

MPLS has no QoS capabilities. In order to provide QoS you need to use either
Diffserv or Intserv or a similar technique. Therefore if you have a network
that does not implement Diffserv or Intserv, that network would treat the
packets as BE, no matter if MPLS is present or not. And the interworking 
solution that you raised will map Diffserv packets to BE.

Regards,
-Shahram 
 
> Help and Comments? 
> Regards,
> /Thomas